#include "deftype.h"

unchar *jstrupr(unchar *str)
/* 日本語対応strupr() */
{
unint c;
unchar *s;
	s=str;
	while ((c=*str)!=0) {
		if (check_kanji1(c)) str+=2; /* 漢字はスキップ */
		else *str++=toupper(c);
	}
	return(s);
}
